Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_PowerCapping_SP.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -34,5 +34,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -364,5 +364,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -457,5 +457,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -546,5 +546,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1396)
@@ -23,5 +23,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_SP.java	(revision 1396)
@@ -26,5 +26,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_PowerCapping_SP.java	(revision 1396)
@@ -20,5 +20,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -34,5 +34,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -282,5 +282,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -375,5 +375,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -464,5 +464,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_SP.java	(revision 1396)
@@ -25,5 +25,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationHighPerf_NodePowMan_SP.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.Rack;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -32,5 +32,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -227,5 +227,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -263,5 +263,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -275,5 +275,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_ConsolidationLowPower_NodePowMan_SP.java	(revision 1396)
@@ -16,5 +16,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -31,5 +31,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -226,5 +226,5 @@
 							Fan fan = (Fan) device;
 							if(fan.getChilledResources().contains(node.getFullName())){
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 							}
 						}
@@ -262,5 +262,5 @@
 						if(fan.getChilledResources().contains(node.getFullName())){
 							if(nrOfChilldedNodes == 1)
-								fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+								fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							else {
 								for(String chilledNode: fan.getChilledResources()){
@@ -274,5 +274,5 @@
 								}
 								if(nrOfChilldedNodes <= 1)
-									fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("1"));
+									fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("1"));
 							}
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_LoadBalancing_SP.java	(revision 1396)
@@ -11,5 +11,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java	(revision 1319)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_PowerCapping_SP.java	(revision 1396)
@@ -19,5 +19,5 @@
 import schedframe.resources.computing.coolemall.ComputeBox1;
 import schedframe.resources.computing.coolemall.NodeGroup;
-import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.CustomAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.devices.Device;
@@ -32,5 +32,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -245,5 +245,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -338,5 +338,5 @@
 
 										if(fan.getChilledResources().contains(n.getFullName())){
-											fan.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("2"));
+											fan.getAirflowInterface().setAirflowState(new CustomAirflowStateName("2"));
 										}
 									}
@@ -427,5 +427,5 @@
 			for(Device device: nodeGroup.getResourceCharacteristic().getDevices()){
 				try {
-					fpc = fpc + device.getAirThroughputInterface().getPowerConsumption(new UserAirThroughputStateName("2"));
+					fpc = fpc + device.getAirflowInterface().getPowerConsumption(new CustomAirflowStateName("2"));
 				} catch (NoSuchFieldException e) {
 					// TODO Auto-generated catch block
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java	(revision 1258)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_RandomPlugin.java	(revision 1396)
@@ -13,5 +13,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 555)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 1396)
@@ -17,6 +17,6 @@
 import schedframe.scheduling.plan.impl.ScheduledTask;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.plugin.SchedulingPluginConfiguration;
-import schedframe.scheduling.plugin.grid.ModuleList;
 import schedframe.scheduling.plugin.local.LocalSchedulingPlugin;
 import schedframe.scheduling.queue.TaskQueue;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java	(revision 1299)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/Cluster_FCFSBF_ConsolidationHighPerf_NodePowMan_Plugin.java	(revision 1396)
@@ -17,5 +17,5 @@
 import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirflowStateName;
 import schedframe.resources.computing.profiles.energy.power.PState;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
@@ -30,5 +30,5 @@
 import schedframe.scheduling.plan.SchedulingPlanInterface;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
@@ -169,5 +169,5 @@
 					for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 						if(device.getType().equals(StandardResourceType.Fan)){
-							device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
+							device.getAirflowInterface().setAirflowState(StandardAirflowStateName.ON);
 							break;
 						}
@@ -192,5 +192,5 @@
 				for(Device device: node.getParent().getResourceCharacteristic().getDevices()){
 					if(device.getType().equals(StandardResourceType.Fan)){
-						device.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+						device.getAirflowInterface().setAirflowState(StandardAirflowStateName.OFF);
 						break;
 					}
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 888)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_LocalPlugin.java	(revision 1396)
@@ -6,5 +6,5 @@
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
+import schedframe.scheduling.plugin.ModuleList;
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
Index: DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java	(revision 1253)
+++ DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java	(revision 1396)
@@ -25,5 +25,5 @@
 		Executable exec = (Executable) task;
 
-		ResourceConsumption resConsumption = exec.getResourceConsumptionProfile().getCurrentResourceConsumption();
+		ResourceConsumption resConsumption = exec.getExecutionProfile().getCurrentResourceConsumption();
 
 		double execTime = (1 - completionPercentage/100) * resConsumption.getDuration();
Index: DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/CPUFreqScalingPhaseTimeEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/CPUFreqScalingPhaseTimeEstimationPlugin.java	(revision 1364)
+++ DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/CPUFreqScalingPhaseTimeEstimationPlugin.java	(revision 1396)
@@ -2,6 +2,4 @@
 
 import java.util.Map;
-
-import org.joda.time.DateTime;
 
 import schedframe.events.scheduling.SchedulingEvent;
@@ -14,7 +12,5 @@
 import schedframe.resources.units.ResourceUnitName;
 import schedframe.resources.units.StandardResourceUnitName;
-import schedframe.scheduling.tasks.phases.ResourceConsumption;
 import dcworms.schedframe.scheduling.ExecTask;
-import dcworms.schedframe.scheduling.Executable;
 import example.timeestimation.BaseTimeEstimationPlugin;
 
@@ -26,5 +22,5 @@
 			double completionPercentage) {
 		
-		String taskFreqString = task.getCurrentResourceConsumption().getReferenceHardware().get("cpu_maxfreq");
+		String taskFreqString = task.getExecutionProfile().getCurrentResourceConsumption().getReferenceHardware().get("cpu_maxfreq");
 		double taskFreq = Double.valueOf(taskFreqString);
 		
@@ -49,5 +45,5 @@
 			currentFrequency = taskFreq;
 
-		double execTime = (1 - completionPercentage/100) * task.getCurrentResourceConsumption().getDuration() * (taskFreq / currentFrequency);
+		double execTime = (1 - completionPercentage/100) * task.getExecutionProfile().getCurrentResourceConsumption().getDuration() * (taskFreq / currentFrequency);
 
 		// if the result is very close to 0, but less then one millisecond then round this result to 0.001
Index: DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/Executable.java
===================================================================
--- DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/Executable.java	(revision 1362)
+++ DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/Executable.java	(revision 1396)
@@ -24,5 +24,5 @@
 import schedframe.resources.units.StandardResourceUnitName;
 import schedframe.scheduling.ExecutionHistoryItem;
-import schedframe.scheduling.ResourceHistoryItem;
+import schedframe.scheduling.ResourceItem;
 import schedframe.scheduling.WorkloadUnitHandler;
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
@@ -65,5 +65,5 @@
 	
 	protected LinkedList<ExecutionHistoryItem> execHistory;;
-	protected LinkedList<ResourceHistoryItem> allocatedResources;
+	protected LinkedList<ResourceItem> allocatedResources;
 	
 	public Executable(Task t){
@@ -71,5 +71,5 @@
 		this.status = DCWormsTags.CREATED;
 
-		this.allocatedResources = new LinkedList<ResourceHistoryItem>();
+		this.allocatedResources = new LinkedList<ResourceItem>();
 		this.execHistory = new LinkedList<ExecutionHistoryItem>();
 		init();
@@ -81,5 +81,5 @@
 		this.processesSetId = procesesSet.getId(); 
 		
-		this.allocatedResources = new LinkedList<ResourceHistoryItem>();
+		this.allocatedResources = new LinkedList<ResourceItem>();
 		this.execHistory = new LinkedList<ExecutionHistoryItem>();
 		init();
@@ -366,5 +366,5 @@
 	}*/
 	
-	public ExecutionProfile getResourceConsumptionProfile(){
+	public ExecutionProfile getExecutionProfile(){
 		return execProfile;
 	}
@@ -470,5 +470,5 @@
 	}
 
-	public LinkedList<ExecutionHistoryItem> getExecHistory() {
+	public LinkedList<ExecutionHistoryItem> getExecutionHistory() {
 		return execHistory;
 	}
@@ -478,9 +478,9 @@
 	}
 
-	public LinkedList<ResourceHistoryItem> getAllocatedResources() {
+	public LinkedList<ResourceItem> getAllocatedResources() {
 		return allocatedResources;
 	}
 
-	public void addAllocatedResources(ResourceHistoryItem allocatedResourcesItem) {
+	public void addAllocatedResources(ResourceItem allocatedResourcesItem) {
 		this.allocatedResources.add(allocatedResourcesItem);
 	}
Index: DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/ExecTask.java
===================================================================
--- DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/ExecTask.java	(revision 1362)
+++ DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/ExecTask.java	(revision 1396)
@@ -4,7 +4,6 @@
 
 import schedframe.scheduling.ExecutionHistoryItem;
-import schedframe.scheduling.ResourceHistoryItem;
+import schedframe.scheduling.ResourceItem;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.phases.ResourceConsumption;
 import schedframe.scheduling.tasks.phases.ExecutionProfile;
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
@@ -15,10 +14,10 @@
 	public Object getExpectedSpecificResource(ResourceParameterName resourceName);
 	
-	public LinkedList<ExecutionHistoryItem> getExecHistory();
-	public LinkedList<ResourceHistoryItem> getAllocatedResources();
+	public ExecutionProfile getExecutionProfile();
 	
-	public ExecutionProfile getResourceConsumptionProfile();
-	public ResourceConsumption getCurrentResourceConsumption();
+	public LinkedList<ResourceItem> getAllocatedResources();
+    public String getSchedulerName();
 	
-    public String getSchedulerName();
+	public LinkedList<ExecutionHistoryItem> getExecutionHistory();
+
 }
Index: DCWoRMS/branches/coolemall/src/simulator/stats/DCwormsAccumulator.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/stats/DCwormsAccumulator.java	(revision 1396)
+++ DCWoRMS/branches/coolemall/src/simulator/stats/DCwormsAccumulator.java	(revision 1396)
@@ -0,0 +1,137 @@
+/**
+ * 
+ */
+package simulator.stats;
+
+
+import simulator.DataCenterWorkloadSimulator;
+import gridsim.Accumulator;
+
+/**
+ * This class temporarily adds new methods to {@link Accumulator} class.
+ * 
+ * @author Stanislaw Szczepanowski
+ * 
+ */
+public class DCwormsAccumulator extends Accumulator {
+
+	public DCwormsAccumulator() {
+		super();
+	}
+
+	public DCwormsAccumulator(Accumulator acc) {
+		n_ = acc.getCount();
+		mean_ = acc.getMean();
+		sqrMean_ = acc.getStandardDeviation() + (mean_ * mean_);
+		min_ = acc.getMin();
+		max_ = acc.getMax();
+		last_ = acc.getLast();
+	}
+
+	/**
+	 * This method must be overloaded, since it returns the wrong value.
+	 */
+	public double getStandardDeviation() {
+		return Math.sqrt(getVariance());
+	}
+
+	/**
+	 * Calculates the variance of accumulated items
+	 * 
+	 * @return the Standard Deviation of accumulated items
+	 * @pre $none
+	 * @post $none
+	 */
+	public double getVariance() {
+		return sqrMean_ - (mean_ * mean_);
+	}
+
+	public boolean equals(Object obj) {
+		if (!(obj instanceof DCwormsAccumulator))
+			return false;
+
+		DCwormsAccumulator otherAcc = (DCwormsAccumulator) obj;
+		if (Double.compare(this.last_, otherAcc.last_) != 0)
+			return false;
+		if (Double.compare(this.max_, otherAcc.max_) != 0)
+			return false;
+		if (Double.compare(this.mean_, otherAcc.mean_) != 0)
+			return false;
+		if (Double.compare(this.min_, otherAcc.min_) != 0)
+			return false;
+		if (Double.compare(this.n_, otherAcc.n_) != 0)
+			return false;
+		if (Double.compare(this.sqrMean_, otherAcc.sqrMean_) != 0)
+			return false;
+
+		return true;
+	}
+
+	public String toString() {
+		String accumulatorSeparator = ";";
+		StringBuffer buffer = new StringBuffer(50);
+
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getMean()));
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getStandardDeviation()));
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getVariance()));
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getMin()));
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getMax()));
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getSum()));
+		buffer.append(accumulatorSeparator);
+		buffer.append(DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+				.getCount()));
+		buffer.append(accumulatorSeparator);
+
+		return buffer.toString();
+	}
+
+	public String toFormatedString() {
+
+		String accumulatorSeparator = "; ";
+		StringBuffer buffer = new StringBuffer(50);
+
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getMean())));
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getStandardDeviation())));
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getVariance())));
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getMin())));
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getMax())));
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getSum())));
+		buffer.append(accumulatorSeparator);
+		buffer.append(String.format("%16s",
+				DataCenterWorkloadSimulator.DFAULT_NUMBER_FORMAT.format(this
+						.getCount())));
+		buffer.append(accumulatorSeparator);
+
+		return buffer.toString();
+	}
+}
